<?php 
// Include main file
include_once('../libs/main.php');
// Check admin Login
include_once('checkLogin.php');
// Logical section of page
$domainObj =  new  domain();
$adminlogObj = new admin_log();
$modulepagesObj = new module_pages();

$filename=basename($_SERVER['SCRIPT_FILENAME']);
if($filename == 'domainlist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
    $page_id = $adminlogObj->getPageId($filename);
    $allpages = $modulepagesObj->fromId($page_id);
    $pagename = $allpages->page;

}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='change_status' && isset($_REQUEST['domain_id'])){
    if(isset($_REQUEST['status'])){
            
            $domainDetail = $domainObj->fromId($_REQUEST['domain_id']);
            if($domainDetail->domain_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($_REQUEST['status'] == '1')
            {
                $new_status = 'Active';
            }else{
                $new_status = 'Inactive';
            }
            $domainObj->changeStatus($_REQUEST['domain_id']);
            $domain_detail = " <b>domain status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
            $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$domain_detail);
            echo RECORD_STATUS;
    }
        return true;
}

if(isset($_REQUEST['act']) && $_REQUEST['act']=="order" && $_REQUEST['domain_order']!="" && $_REQUEST['position']!=""){
    $select =array('domain_order as neworder','domain_id as newid');
    $id=$_REQUEST['domain_id'];
    $order=$_REQUEST['domain_order'];
    // $where=array('domain_speciality_id='=>$_REQUEST['speciality_id']);
    
    if ($_REQUEST['position']=="Up"){
        $orderby =array('domain_order','desc');
        $where['domain_order<']=$_REQUEST['domain_order'];
    }else{
        $orderby =array('domain_order','asc');
        $where['domain_order>']=$_REQUEST['domain_order'];
    }
    
    $domaindata = " change domain id: "." ".$_REQUEST['domain_id']." To ".$_REQUEST['domain_order']." ";
            

    $data =array('fields'=>$select,'where'=>$where,'orderBy'=>$orderby,'id'=>$id,'order'=>$order);
    $domainObj->changeOrder($data);
    $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$domaindata);
    header('Location:domainlist.php');
    exit;
}
if(isset($_REQUEST['act']) && $_REQUEST['act']=='delete' && isset($_REQUEST['domain_id'])){
    $domainObj->deleteFromId($_REQUEST['domain_id']);
    $successMsg = base64_encode(RECORD_DELETE);
}
if(isset($_REQUEST['action']) && $_REQUEST['action']!=''){
    if($_REQUEST['action']=="activate_all"){
        $data=array("domain_status" => '1');

        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $domainObj->fromId($val_actchk);
            if($old_data->domain_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->domain_status != '1')
            {
                $new_status = 'Active';
                $domaindata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$domaindata);
            }
        }

        $rs = $domainObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_ACTIVE);
    }else if($_REQUEST['action']=="inactivate_all"){
        $data=array("domain_status" => '0');
        $chk_data = $_POST['check'];
        foreach($chk_data as $akey => $val_actchk)
        {
            $old_data = $domainObj->fromId($val_actchk);
            if($old_data->domain_status == '1')
            {
                $old_status = 'Active';
            }else{
                $old_status = 'Inactive';
            }

            if($old_data->domain_status != '0')
            {
                $new_status = 'Inactive';
                $domaindata = " <b>Status</b>: "." ".$old_status." <b>To</b> ".$new_status." ";
                $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$domaindata);
            }
        }
        $rs = $domainObj->updateManyRecords($data, $_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_INACTIVE);
    }else if($_REQUEST['action']=="delete_all"){

        $chk_del = implode(",",$_POST['check']);
        
        $domaindata = " <b>Delete Id</b>: "." ".$chk_del;
        $admin_log = $adminlogObj->addAdminLog($_SESSION['admin_id'],$module_id,$page_id,$pagename,$domaindata);
        
        $rs = $domainObj->deleteManyRecords($_POST['check']);
        $successMsg = base64_encode(RECORD_ALL_DELETE);
    }
}
if (isset($_REQUEST['act']) && $_REQUEST['act']=='load'){
    $records = $_REQUEST['length'];
    $start=0;
    if(isset($_GET['start']) && $_GET['start']!='0'){
        $page = $_GET['start'];
    }
    $start=($page-1)*$limit;
    $limit = array('start'=>$_GET['start'],'record'=>$records);
    
    $where = " 1=1 ";

    if(isset($_REQUEST['domain_title']) && $_REQUEST['domain_title'] != '')
    {
        $where .= " AND domain_title = '".$_REQUEST['domain_title']."' ";
    }

    if(isset($_REQUEST['domain_status']) && $_REQUEST['domain_status'] != '')
    {
        $where .= " AND domain_status = '".$_REQUEST['domain_status']."' ";
    }
    
    // if(isset($_REQUEST['domain_speciality_id']) && $_REQUEST['domain_speciality_id']!=""){
    //      $speciality_id = $_REQUEST['domain_speciality_id'];
    //      $where = " domain_speciality_id='".$speciality_id."' "; 
    // }
    if (isset($_REQUEST['search']['value']) && $_REQUEST['search']['value']!=""){
        $where .= " AND (domain_title LIKE '%".$_REQUEST['search']['value']."%' )";
    }    
        
    $orderFields = array('domain_id','domain_title');
    
    // Array of order by 
    $orderby=array();
    if (isset($_REQUEST['order']['0']['column']) && $_REQUEST['order']['0']['column']!=""){
        $orderby = array(" ".$orderFields[$_REQUEST['order']['0']['column']]." ".$_REQUEST['order']['0']['dir']);
    }else{
        $orderby = array(" domain_order asc ");
    }

    $data    = array('where' => $where,'orderBy'=>$orderby,'limit' => $limit);

    $domainDetails = $domainObj->getAllRecords($data);
    $recordsTotal   =   $domainObj->getAllCount($data);

        
    if ($domainDetails && count($domainDetails)>0){
        foreach ($domainDetails as $key => $domain){

            if($domain->domain_status =='1'){
              $status = '<a href="javascript:void(0)" onclick="change_status('.$domain->domain_id.',0)" title="Inactivate"><span class="badge badge-success">Active</span></a>';
            }else{
              $status = '<a href="javascript:void(0)" onclick="change_status('.$domain->domain_id.',1)" title="Activate"><span class="badge badge-danger">Inactive</span></a>';
            }
            if($key!=0){
            $order = '<a title="move up" href="domainlist.php?act=order&domain_id='.$domain->domain_id.'&domain_order='.$domain->domain_order.'&position=Up"><i class="nav-icon i-Arrow-Up-3"></i></a>';
            }
            if(count($domainDetails)!=($key+1)){
                $order .= '&nbsp;&nbsp;<a title="move down" href="domainlist.php?act=order&domain_id='.$domain->domain_id.'&domain_order='.$domain->domain_order.'&position=down"><i class="nav-icon i-Arrow-Down-3"></i></a>';
            }
            

            // $action = '<a href="domainadd.php?act=edit&domain_id='.$domain->domain_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>
            //      <a id="delete-confirm" onclick="delete_entry('.$domain->domain_id.');" class="btn btn-danger white-btn"><i class="nav-icon i-Close-Window "></i></a>';
            $action = '<a href="domainadd.php?act=edit&domain_id='.$domain->domain_id.'" class="btn btn-success white-btn"><i class="nav-icon i-Pen-2 "></i></a>';

             $response[] = array('<input type="checkbox" name="check[]" id="check[]" value="'.$domain->domain_id.'" class="check_class" />', 
                    $order ,
                 $domain->domain_title,
                 //$domain->domain_icon,
                 "<div id='td_status_".$domain->domain_id."'>".$status."</div>",
                 $action
                );
        }
        $result=array('recordsFiltered'=>$recordsTotal,'recordsTotal'=>$recordsTotal,'data'=>$response);
    }else{
        $result=array('recordsFiltered'=>0,'recordsTotal'=>0,'data'=>array());
    }
    echo json_encode($result);
    exit;
}

// Include Template 
include_once('../libs/routs.php')
?>